System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 This class is not thread safe. System.Object System.Xml.XPath.IXPathNavigable

For more information about processing XML data by using the XPath data model, see the Process XML Data Using the XPath Data Model topic.

Provides a fast, read-only, in-memory representation of an XML document by using the XPath data model.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class from the XML data in the specified object.

  The object that contains the XML data.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  After the object has been used to load XML data, the cursor of the object is positioned at the end of the data. The object must be reset to read through the data again.

  Initializes a new instance of the class from the XML data that is contained in the specified object.

  The object that contains the XML data.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  To preserve white space, use the constructor that accepts an object as a parameter.

  Initializes a new instance of the class from the XML data in the specified file.

  The path of the file that contains the XML data.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An object can be used to load a whole XML document or part of an XML document into an . To load part of an XML document into an , position the object on the top XML node to load data from. When you create an by using the constructor, data is loaded from the current top node through all its siblings. Afterwards, the is positioned on the outer scope of the top XML node. Alternatively, you can use the method to load the into a particular element in the XML document.

  The following are important notes to consider when you use the constructor.

  An object with the appropriate associated object settings can be used to resolve entities or other references in XML data.

  If the object is positioned on a leaf node that is not valid for the root level of a document—for example, a white space or attribute node—the object continues to read until it is positioned on a node that can be used for the root. The begins loading at this point.

  To preserve white space, use the constructor that accepts an object as a parameter.

  Initializes a new instance of the class from the XML data that is contained in the specified object.

  The object that contains the XML data.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The object passed as a parameter specifies whether to preserve white space. preserves only significant white space; preserves all white space. By default, the object is set to .

  The functionality of the constructor is identical to that of the constructor, except for the white space handling options described.

  Initializes a new instance of the class from the XML data in the file specified with the white space handling specified.

  The path of the file that contains the XML data.
  An object.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The object passed as a parameter specifies whether to preserve white space. preserves only significant white space; preserves all white space. By default, the object is set to .

  The functionality of the constructor is identical to that of the constructor, except for the white space handling options described.

  Initializes a new instance of the class from the XML data that is contained in the specified object with the specified white space handling.

  The object that contains the XML data.
  An object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XPath.XPathNavigator

  The is positioned on the root element of the . If there is no root element, the is positioned on the first element in the .

  Initializes a read-only object for navigating through nodes in this .

  A read-only object.